Un tema muy básico, pero no me acuerdo...

Ir abajo

Un tema muy básico, pero no me acuerdo...

Mensaje por eliasp el Vie Jul 01, 2016 2:27 am

Buen día foro. Estoy haciendo una rutinita sencilla, para mostrar el resultado en pantalla:
Código:

(defun c:qw(/ ini fraccion entero primercad prod)
  (setq cadena 20.0)
  (setq ini(getreal"\n Cadenamiento Inicial...."))
  (setq fraccion(/ ini cadena))
  (setq entero(fix(/ ini cadena)))
  (if(=(- fraccion entero)0)
    (setq primercad 0)
    (setq prod(* ( + 1 entero) cadena)
          primercad(- prod ini)
          )
    )
  (print primercad)
  )
Va todo bien, sólo que al mostrar el resultado, lo muestra doble. No pasa nada ni afecta ni nada.... pero se ve mal. Recuerdo que hay una forma de evitar esto y que se muestre "limpio". ¿Alguien se acurda?

Esta rutina es para establecer el primer cadenamiento de un eje cuando el cadenamiento inicial es distinto de cero.

Saludos y gracias....

eliasp

Mensajes : 70
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Un tema muy básico, pero no me acuerdo...

Mensaje por robierzo el Vie Jul 01, 2016 8:38 am

Debes poner (princ) después de la instrucción de imprimir en pantalla.
Saludos.
avatar
robierzo

Mensajes : 52
Fecha de inscripción : 17/03/2016
Localización : La Coruña

Ver perfil de usuario http://www.selmotopografia.es

Volver arriba Ir abajo

Re: Un tema muy básico, pero no me acuerdo...

Mensaje por eliasp el Vie Jul 01, 2016 4:46 pm

Perfecto, gracias

Saludos

eliasp

Mensajes : 70
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Un tema muy básico, pero no me acuerdo...

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.